org.apache.tinkerpop.gremlin.driver

## Enum AuthProperties.Property

- java.lang.Object
- - java.lang.Enum<AuthProperties.Property>
  - - org.apache.tinkerpop.gremlin.driver.AuthProperties.Property

- All Implemented Interfaces:
    Serializable, Comparable<AuthProperties.Property>
  Enclosing class:
    AuthProperties

      public static enum AuthProperties.Property
      extends Enum<AuthProperties.Property>

  An enum of the available authorization properties.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAAS_ENTRY` The name used as the index into the configuration for the `LoginContext`.
    `PASSWORD` The password.
    `PROTOCOL` The protocol for which the authentication is being performed (e.g., "ldap").
    `USERNAME` The username.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthProperties.Property` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthProperties.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USERNAME

          public static final AuthProperties.Property USERNAME

      The username.

    - #### PASSWORD

          public static final AuthProperties.Property PASSWORD

      The password.

    - #### PROTOCOL

          public static final AuthProperties.Property PROTOCOL

      The protocol for which the authentication is being performed (e.g., "ldap").

    - #### JAAS_ENTRY

          public static final AuthProperties.Property JAAS_ENTRY

      The name used as the index into the configuration for the `LoginContext`.

  - ### Method Detail

    - #### values

          public static AuthProperties.Property[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthProperties.Property c : AuthProperties.Property.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthProperties.Property valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.